summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2018-04-25 13:28:53 +0900
committerLibravatar Junio C Hamano <gitster@pobox.com>2018-04-25 13:28:53 +0900
commite6986abb7726cff889d333ffef4c58176a8db4c1 (patch)
tree81e12483983a44bd7b16a4f4a720fb5f9a790732
parentMerge branch 'bw/commit-partial-from-subdirectory-fix' (diff)
parentt5561: skip tests if curl is not available (diff)
downloadtgif-e6986abb7726cff889d333ffef4c58176a8db4c1.tar.xz
Merge branch 'jk/t5561-missing-curl'
Test fixes. * jk/t5561-missing-curl: t5561: skip tests if curl is not available t5561: drop curl stderr redirects
-rwxr-xr-xt/t5561-http-backend.sh10
-rw-r--r--t/test-lib.sh4
2 files changed, 12 insertions, 2 deletions
diff --git a/t/t5561-http-backend.sh b/t/t5561-http-backend.sh
index 90e0d6f0fe..84a955770a 100755
--- a/t/t5561-http-backend.sh
+++ b/t/t5561-http-backend.sh
@@ -3,10 +3,16 @@
test_description='test git-http-backend'
. ./test-lib.sh
. "$TEST_DIRECTORY"/lib-httpd.sh
+
+if ! test_have_prereq CURL; then
+ skip_all='skipping raw http-backend tests, curl not available'
+ test_done
+fi
+
start_httpd
GET() {
- curl --include "$HTTPD_URL/$SMART/repo.git/$1" >out 2>/dev/null &&
+ curl --include "$HTTPD_URL/$SMART/repo.git/$1" >out &&
tr '\015' Q <out |
sed '
s/Q$//
@@ -19,7 +25,7 @@ GET() {
POST() {
curl --include --data "$2" \
--header "Content-Type: application/x-$1-request" \
- "$HTTPD_URL/smart/repo.git/$1" >out 2>/dev/null &&
+ "$HTTPD_URL/smart/repo.git/$1" >out &&
tr '\015' Q <out |
sed '
s/Q$//
diff --git a/t/test-lib.sh b/t/test-lib.sh
index 483c8d6d7c..ea2bbaaa7a 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -1208,3 +1208,7 @@ test_lazy_prereq LONG_IS_64BIT '
test_lazy_prereq TIME_IS_64BIT 'test-tool date is64bit'
test_lazy_prereq TIME_T_IS_64BIT 'test-tool date time_t-is64bit'
+
+test_lazy_prereq CURL '
+ curl --version
+'